8086:a011 [HP Mini 110-3100] Can't control screen brightness

Bug #1273234 reported by Jaime Pérez on 2014-01-27
22
This bug affects 5 people
Affects Status Importance Assigned to Milestone
xserver-xorg-video-intel (Ubuntu)
Medium
Unassigned

Bug Description

I press the buttons for changing screen brightness. It does appear a box that says screen brightness is changing, but nothing happens.

WORKAROUND: Place the following in /etc/X11/xorg.conf.d/20-screen.conf :
Section "Device"
  Option "Backlight" "intel_backlight"
EndSection

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: xorg 1:7.7+1ubuntu7
ProcVersionSignature: Ubuntu 3.13.0-5.20-generic 3.13.0
Uname: Linux 3.13.0-5-generic x86_64
NonfreeKernelModules: wl
.tmp.unity.support.test.0:

ApportVersion: 2.13.1-0ubuntu2
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Mon Jan 27 14:48:45 2014
DistUpgraded: 2014-01-27 14:45:52,877 DEBUG enabling apt cron job
DistroCodename: trusty
DistroVariant: ubuntu
DkmsStatus:
 bcmwl, 6.30.223.141+bdcom, 3.11.0-15-generic, x86_64: installed
 bcmwl, 6.30.223.141+bdcom, 3.13.0-5-generic, x86_64: installed
ExtraDebuggingInterest: I just need to know a workaround
GraphicsCard:
 Intel Corporation Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller [8086:a011] (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Device [103c:148a]
   Subsystem: Hewlett-Packard Company Device [103c:148a]
InstallationDate: Installed on 2014-01-12 (14 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
MachineType: Hewlett-Packard HP Mini 110-3100
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-5-generic root=UUID=04612c8e-2b69-468e-8d79-e1277a28f411 ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
UpgradeStatus: Upgraded to trusty on 2014-01-27 (0 days ago)
dmi.bios.date: 01/14/2011
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.15
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 148A
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 79.4B
dmi.chassis.asset.tag: Chassis Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.15:bd01/14/2011:svnHewlett-Packard:pnHPMini110-3100:pvr058D110000202D00000300100:rvnHewlett-Packard:rn148A:rvr79.4B:cvnHewlett-Packard:ct10:cvrChassisVersion:
dmi.product.name: HP Mini 110-3100
dmi.product.version: 058D110000202D00000300100
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz 1:0.9.10+13.10.20131011-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.52-1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.0.1-1ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.0.1-1ubuntu2
version.xserver-xorg-core: xserver-xorg-core 2:1.14.5-1ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.2.0-0ubuntu11
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.907-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu1
xserver.bootTime: Mon Jan 27 14:46:36 2014
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 1001
 vendor HSD
xserver.version: 2:1.14.5-1ubuntu2

Jaime Pérez (jaime-91) wrote :
affects: xorg (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Chris Wilson (ickle) wrote :

Considering that the ACPI backlight interface is currently reporting the brightness as 0, it sounds very broken. Something you can try is

Section "Device"
  Option "Backlight" "intel_backlight"
EndSection

Jaime Pérez (jaime-91) wrote :

I tried to do that and I got bug 1275005 , Now i'm trying to put it in /etc/X11/xorg.conf.d/20-screen.conf

Jaime Pérez (jaime-91) wrote :

Ok now it works. Both X and brightness control. Thanks!

Chris Wilson (ickle) wrote :

Oh, it was just complaining about a missing Identifier line when using it as xorg.conf - serves me like for not being specific enough.

Chris Wilson (ickle) on 2014-02-07
summary: - Can't control screen brightness
+ [acpi backlight] Can't control screen brightness

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed

It affects a non-essential hardware component (removable network card, camera, web-cam, music player, sound card, power management feature, printer...).

Changed in xserver-xorg-video-intel (Ubuntu):
importance: Undecided → Medium
Laryllan (laryllan) wrote :

I don't think the display is a non-essential hardware component.
In fact, it is THE most important hardware a laptop/netbook can offer. Or do you think your computer is usable without a display?

This is a regression to previous Ubuntu releases.

Antonio Spadim (aspadim) wrote :

Hello guys,
 I've solved this problem doing something like this= http://askubuntu.com/questions/76081/brightness-not-working-after-installing-nvidia-driver

 I'm using Ubuntu 14.04 64bits release in my Vostro 3300 with Nvidia GeForce 310M. I think the problem is about Nvidia/X11 receive the variable passed by Fn+Up/Down, because you can check with 'cat /sys/class/backlight/acpi_video0/brightness' that the value changes after you press Fn+Up/Down but the backlight bright doesn't.

 The full proceadure that worked for me:
 1. I edited the grub with
    # nano /etc/default/grub
 and edited this line:
      GRUB_CMDLINE_LINUX="acpi_osi=Linux"

 2. After that:
   # update-grub

 3. Installed the Nvidia driver (proprietary-tested) on Ubuntu Software Center, and REBOOT.

 4. Checked if my video card was identified:
  # lspci | grep -i vga

 5. Created the X11 conf file with (there wasn't this file there yet):
  # nano /usr/share/X11/xorg.conf.d/10-nvidia-brightness.conf
and write down on it these lines:
------------------
Section "Device"
    Identifier "Device0"
    Driver "nvidia"
    VendorName "NVIDIA Corporation"
    BoardName "GeForce 310M"
    Option "RegistryDwords" "EnableBrightnessControl=1"
EndSection
------------------
the most important part is this one: Option "RegistryDwords" "EnableBrightnessControl=1"

  6. Saved and reboot.

Now everything works fine and the values (from 0 to 15 that you can check here /sys/class/backlight/acpi_video0/brightness) are now equal total darkness to a full bright screen.

Antonio Spadim (aspadim) wrote :

Another guy did something similar that worked too for INTEL boards: http://itsfoss.com/fix-brightness-ubuntu-1310/

summary: - [acpi backlight] Can't control screen brightness
+ [HP Mini 110-3100] Can't control screen brightness
summary: - [HP Mini 110-3100] Can't control screen brightness
+ 8086:a011 [HP Mini 110-3100] Can't control screen brightness
description: updated
Jaime Pérez (jaime-91) wrote :

Antonio's fix worked for me.

Milos Sramek (milos-sramek) wrote :

Perfect, Antonio's fix works for me, too, on Thinkpad T420 with NVidia Quadro NVS 4200M
Thanks!

Jaime Pérez (jaime-91) wrote :

Same problem with intel HD4400 8086:0a16

Jaime Pérez (jaime-91) on 2014-06-08
summary: - 8086:a011 [HP Mini 110-3100] Can't control screen brightness
+ 8086:a011 [HP Mini 110-3100] Can't control screen brightness intel
+ HD4400 8086:0a16 ASUS x200la

Jaime Pérez, please file a new report, one per hardware combination.

summary: - 8086:a011 [HP Mini 110-3100] Can't control screen brightness intel
- HD4400 8086:0a16 ASUS x200la
+ 8086:a011 [HP Mini 110-3100] Can't control screen brightness
Jaime Pérez (jaime-91) wrote :

got it

Emi (bsd386) wrote :

Antonio's link did the trick for me. I'm on a HP mini 110 3130br with Lubuntu 14.04

Jaime Pérez, could you please provide the full computer model as noted on the sticker of the computer itself (not from the Bug Description)?

Emi, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report by executing the following in a terminal:
ubuntu-bug xorg

Please ensure you have xdiagnose installed, and that you click the Yes button for attaching additional debugging information.

For more on this, please see the official Ubuntu documentation:
Ubuntu X.Org Team, Ubuntu Bug Control, and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Incomplete
Jaime Pérez (jaime-91) wrote :

ASUS X200LA-CT012H

debug options in grub that fix the problem:
debug acpi_osi= acpi_sleep=s3_bios acpi_backlight=intel

Jaime Pérez (jaime-91) wrote :

The other computer was HP-MINI 110-3140ss, but i cant use it anymore

Jaime Pérez (jaime-91) wrote :

For those with that problem, could you try this patch? It was send to me in bugzilla.

Jaime Pérez, just to advise, please do not mark any files as a patch unless they are in their final form, and can immediately be released into the appropriate Ubuntu repository as outlined in https://wiki.ubuntu.com/Bugs/Patches . A patch copied from external location, or possible/test/draft patches wouldn't fix this criteria.

However, as the scope of this bug report was only the hardware you originally reported against (HP Mini 110-3140ss PC), this bug report is being closed due to your last comment https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1273234/comments/19 regarding you are no longer using it.

Please file a new report against your Asus X200LA-CT012H via a terminal:
ubuntu-bug xorg

Please ensure you have xdiagnose installed, and that you click the Yes button for attaching additional debugging information.

For more on this, please see the official Ubuntu documentation:
Ubuntu X.Org Team, Ubuntu Bug Control, and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

tags: added: latest-bios-f.15
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.